SOGo | BTS

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004698SOGoWeb Preferencespublic2019-03-05 04:282019-10-01 15:55
Reporternicorac 
Assigned Tofrancis 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.0.7 
Target VersionFixed in Version4.1.0 
Summary0004698: Not able to set a single-day vacation message
DescriptionThere's no way to set a single-day vacation message because "end date" must be > "start date".

Suppose you'll be out of office on 2019-04-15, so want to set an autoreply for that single day only (2019-04-15 00:00 --> 2019-04-15 23:59).

In the web interface, once you set 2019-04-15 as "start date", you're not allowed to set the same date as "end date", so you can only insert 2019-04-16.

Once you save the message, this is the generated .sieve script:
-------------
require ["imap4flags","fileinto","vacation","date","relational"];
if allof (header :contains "subject" "test") {
    addflag "\\Seen";
    fileinto "INBOX.Test";
}
if allof ( currentdate :value "ge" "date" "2019-04-15", currentdate :value "le" "date" "2019-04-16" ) { vacation :days 1 :subject "Out of office" :addresses ["foo@example.org"] text:
test message
.
;
}
-------------

As you can see this vacation is active for 2 full days, 15 and 16 of April.

I think that web interface should only check "end date" >= "start date".
Additionally I'll change "start date" and "end date" field labels to explicitly state that the selected day is included in range, like:

- "Enable auto reply on (included)"
- "Disable auto reply on (included)"
Steps To Reproduce- Need to create a vacation message for 2019-04-15 day only
- Set 2019-04-15 as start date
- Set 2019-04-16 as end date (no way to set an earlier date like 2019-04-15)
- Sieve script is generated with this date range check:
  currentdate :value "ge" "date" "2019-04-15",
  currentdate :value "le" "date" "2019-04-16"

The date range includes two full days (15 and 16 of April) instead of a single one.
Tagsvacation
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0013480)
nicorac (reporter)
2019-03-20 03:51

Is there anything missing in my report?
Should I add further info to it?
(0013663)
nicorac (reporter)
2019-07-09 17:40

More than 4 months and not a single reply.

I've done my best to investigate the issue and propose a fix... but nothing, this bug is still unassigned :(
(0013681)
nicorac (reporter)
2019-07-29 03:45
edited on: 2019-07-29 03:45

Related bug: 0004791

(0013793)
woffs (reporter)
2019-10-01 10:33

Additionally it is not possible to select the current day, today, for start or end date.
User avatar (0013794)
francis (administrator)
2019-10-01 15:55

If your Sieve server doesn't include the "date" capability, we rely on the sogo-tool cronjob to activate or deactivate the vacation autoreply. Therefore, we'll continue to don't allow the autoreply to be set on the current day. We could eventually allow it when the Sieve server has the date extension.

- Related Changesets
sogo: master 93269539
Timestamp: 2019-10-01 15:49:54
Author: francis
Details ] Diff ]
(js) Allow single-day vacation autoreply

Fixes 0004698
mod - NEWS Diff ] File ]
mod - UI/WebServerResources/js/Preferences/PreferencesController.js Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-03-05 04:28 nicorac New Issue
2019-03-20 03:51 nicorac Note Added: 0013480
2019-07-09 17:38 nicorac Tag Attached: vacation
2019-07-09 17:40 nicorac Note Added: 0013663
2019-07-29 03:45 nicorac Note Added: 0013681
2019-07-29 03:45 nicorac Note Edited: 0013681 View Revisions
2019-10-01 10:33 woffs Note Added: 0013793
2019-10-01 15:50 francis Changeset attached => sogo master 93269539
2019-10-01 15:50 francis Assigned To => francis
2019-10-01 15:50 francis Resolution open => fixed
2019-10-01 15:55 francis Note Added: 0013794
2019-10-01 15:55 francis Status new => resolved
2019-10-01 15:55 francis Fixed in Version => 4.1.0


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker